<?xml version="1.0" encoding="UTF-8"?>
<?NLS TYPE="org.eclipse.help.toc"?>
<!-- ========================== -->
<!-- Define topics for the Tasks -->
<!-- ========================== -->
<toc label="任务">

	<topic label="更改 Java 工具的外观">
		<topic label="显示和隐藏元素" href="tasks/tasks-2.htm">
			<topic label="显示和隐藏系统文件" href="tasks/tasks-3.htm"></topic>
			<topic label="显示和隐藏为内部类型生成的 CLASS 文件" href="tasks/tasks-4.htm"></topic>
			<topic label="显示和隐藏库" href="tasks/tasks-5.htm"></topic>
			<topic label="显示和隐藏空的包" href="tasks/tasks-183.htm"></topic>
			<topic label="显示和隐藏空的父包" href="tasks/tasks-184.htm"></topic>
			<topic label="显示和隐藏 Java 文件" href="tasks/tasks-185.htm"></topic>
			<topic label="显示和隐藏非 Java 元素" href="tasks/tasks-186.htm"></topic>
			<topic label="显示和隐藏非 Java 项目" href="tasks/tasks-213.htm"></topic>
			<topic label="显示和隐藏成员" href="tasks/tasks-191.htm"></topic>
			<topic label="显示和隐藏覆盖指示符" href="tasks/tasks-192.htm"></topic>
			<topic label="显示和隐藏方法返回类型" href="tasks/tasks-193.htm"></topic>
			<topic label="显示和隐藏导入声明" href="tasks/tasks-212.htm"></topic>
			<topic label="显示和隐藏包声明" href="tasks/tasks-214.htm"></topic>
		</topic>
		<topic label="显示完整或压缩包名" href="tasks/tasks-194.htm"></topic>
		<topic label="在 Java 视图中对元素排序" href="tasks/tasks-195.htm"></topic>		
		<topic label="定制调试器和控制台" >
			<topic label="启动时更改活动透视图" href="tasks/tasks-9.htm"></topic>
			<topic label="更改控制台视图的外观" href="tasks/tasks-consoleAppearance.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_appearancejava" />

	<topic label="创建 Java 元素" href="tasks/tasks-11.htm">
		<topic label="创建新的 Java 项目" href="tasks/tasks-12.htm">
			<topic label="创建 Java 项目作为它自己的源容器" href="tasks/tasks-13.htm"></topic>
			<topic label="创建具有源文件夹的 Java 项目" href="tasks/tasks-14.htm"></topic>
		</topic>
		<topic label="创建新的源文件夹" href="tasks/tasks-26.htm">
			<topic label="使用排除过滤器创建新的源文件夹" href="tasks/tasks-221.htm"></topic>
			<topic label="使用特定的输出文件夹创建新的源文件夹" href="tasks/tasks-222.htm"></topic>
		</topic>
		<topic label="创建新的 Java 包" href="tasks/tasks-15.htm"></topic>
		<topic label="创建新的 Java 类" href="tasks/tasks-17.htm">
			<topic label="创建顶级类" href="tasks/tasks-18.htm"></topic>
			<topic label="创建嵌套类" href="tasks/tasks-19.htm"></topic>
			<topic label="在现有编译单元中创建新类" href="tasks/tasks-20.htm"></topic>
		</topic>
		<topic label="创建新的 Java 枚举" href="tasks/tasks-17b.htm"></topic>
		<topic label="创建新的 Java 接口" href="tasks/tasks-21.htm">
			<topic label="创建顶级接口" href="tasks/tasks-23.htm"></topic>
			<topic label="创建嵌套接口" href="tasks/tasks-24.htm"></topic>
			<topic label="在现有编译单元中创建新接口" href="tasks/tasks-25.htm"></topic>
		</topic>
		<topic label="创建新的 Java 注释" href="tasks/tasks-21b.htm"></topic>
		<topic label="创建新的 Java 代码片断编辑测试窗页面" href="tasks/tasks-27.htm"></topic>
	</topic>
	<anchor id="t_createjavaelements" />

	<topic label="创建 JAR 文件" href="tasks/tasks-32.htm">
		<topic label="创建新的 JAR 文件" href="tasks/tasks-33.htm"></topic>
		<topic label="设置高级选项" href="tasks/tasks-34.htm"></topic>
		<topic label="定义 JAR 文件的清单" href="tasks/tasks-35.htm"></topic>
		<topic label="重新生成 JAR 文件" href="tasks/tasks-36.htm"></topic>
	</topic>
	<anchor id="t_createjar" />

	<topic label="创建 Javadoc 文档" href="tasks/tasks-196.htm">
		<topic label="为 Javadoc 生成选择类型" href="tasks/tasks-199.htm"></topic>	
		<topic label="为标准 doclet 配置 Javadoc 自变量" href="tasks/tasks-200.htm"></topic>	
		<topic label="配置 Javadoc 自变量" href="tasks/tasks-201.htm"></topic>	
	</topic>
	<anchor id="t_createjavadoc" />
	
	<topic label="使用“层次结构”视图" href="tasks/tasks-37.htm">
		<topic label="更改“层次结构”视图的外观" href="tasks/tasks-38.htm"></topic>
		<topic label="在 Java 元素上打开类型层次结构" href="tasks/tasks-39.htm"></topic>
		<topic label="在当前文本选择上打开类型层次结构" href="tasks/tasks-40.htm"></topic>
		<!--<topic label="Opening a type hierarchy in the workbench" href="tasks/tasks-41.htm"></topic>-->
		<topic label="在自己的透视图中打开类型层次结构" href="tasks/tasks-42.htm"></topic>
		<topic label="查找被覆盖的方法" href="tasks/tasks-44.htm"></topic>
	</topic>
	<anchor id="t_hierarchyview" />

	<topic label="使用“包资源管理器”" href="tasks/tasks-45.htm">
		<topic label="过滤元素" href="tasks/tasks-47.htm"></topic>
		<topic label="移动文件夹、包和文件" href="tasks/tasks-51.htm"></topic>
	</topic>
	<anchor id="t_packagesview" />

	<topic label="使用 Java 编辑器" href= "tasks/tasks-54.htm">
		<topic label="生成 getter 和 setter" href="tasks/tasks-57.htm"></topic>
		<topic label="显示单个元素或整个 Java 文件" href="tasks/tasks-6.htm"></topic>
		<topic label="管理 import 语句" href="tasks/tasks-58.htm">
			<topic label="添加所需的 import 语句" href="tasks/tasks-59.htm"></topic>
			<topic label="组织现有 import 语句" href="tasks/tasks-60.htm"></topic>
			<topic label="设置 import 语句的顺序" href="tasks/tasks-61.htm"></topic>
		</topic>
		<topic label="使用本地历史" href="tasks/tasks-62.htm">
			<topic label="将 Java 元素与本地历史版本进行比较" href="tasks/tasks-63a.htm"></topic>
			<topic label="将 Java 元素替换为本地历史版本" href="tasks/tasks-63.htm"></topic>
			<topic label="恢复已删除的工作台元素" href="tasks/tasks-64.htm"></topic>
		</topic>
		<topic label="使用内容辅助" href="tasks/tasks-65.htm"></topic>
		<topic label="格式化 Java 代码" href="tasks/tasks-66.htm">
			<topic label="格式化文件或部分代码" href="tasks/tasks-67.htm"></topic>
			<topic label="设置代码格式化首选项" href="tasks/tasks-68.htm"></topic>
		</topic>
		<topic label="查看文档和信息" href="tasks/tasks-69.htm">
			<topic label="查看标记帮助" href="tasks/tasks-70.htm"></topic>
			<topic label="查看 Javadoc 信息" href="tasks/tasks-71.htm"></topic>
		</topic>
		<topic label="使用模板" href="tasks/tasks-171.htm"></topic>
		<topic label="编写您自已的模板" href="tasks/tasks-203.htm"></topic>
		<topic label="转换行定界符" href="tasks/tasks-172.htm"></topic>
		<topic label="查找并替换" href="tasks/tasks-173.htm">
			<topic label="使用“查找／替换”对话框" href="tasks/tasks-181.htm"></topic>
			<topic label="使用增量查找" href="tasks/tasks-182.htm"></topic>
			<topic label="查找下一项或上一项匹配" href="tasks/tasks-187.htm"></topic>
		</topic>
		<topic label="更改用来显示源的编码" href="tasks/tasks-174.htm"></topic>
		<topic label="使用快速修正" href="tasks/tasks-175.htm"></topic>
		<topic label="使用结构化选择" href="tasks/tasks-176.htm"></topic>
		<topic label="注释和取消注释代码行" href="tasks/tasks-177.htm"></topic>
		<topic label="将代码行向左和右移动" href="tasks/tasks-178.htm"></topic>
		<topic label="使用以 try/catch 包围" href="tasks/tasks-179.htm"></topic>
	</topic>
	<anchor id="t_usingjavaed" />

	<topic label="将字符串外部化" href="tasks/tasks-206.htm">
		<topic label="查找要外部化的字符串" href="tasks/tasks-188.htm"></topic>
		<topic label="在属性文件中查找未使用的和不正确使用的键" href="tasks/tasks-202.htm"></topic>
		<topic label="使用“将字符串外部化”向导" href="tasks/tasks-180.htm">
			<topic label="键／值页面" href="tasks/tasks-189.htm"></topic>
			<topic label="属性文件页面" href="tasks/tasks-190.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_externalizingstrings" />
	
	<topic label="浏览 JDT 工作台" >
		<topic label="对选择的元素打开编辑器" href="tasks/tasks-73.htm"></topic>
		<topic label="在“包资源管理器”视图中显示元素。" href="tasks/tasks-74.htm"></topic>
		<topic label="在“包资源管理器”视图中打开类型" href="tasks/tasks-75.htm"></topic>
		<topic label="对类型打开编辑器" href="tasks/tasks-76.htm"></topic>
		<topic label="打开包" href="tasks/tasks-77.htm"></topic>
		<!--<topic label="Viewing Source in a JAR File" href="tasks/tasks-78.htm"></topic>-->
		<!--< topic label="Searching Java code" href="tasks/tasks-79.htm"></topic> -->
	</topic>
	<anchor id="t_navigatingjdt" />

	<topic label="重构" href="tasks/tasks-80.htm">
		<topic label="重构步骤" >
			<topic label="重构但不预览" href="tasks/tasks-82.htm"></topic>
			<topic label="重构并预览" href="tasks/tasks-83.htm"></topic>
			<topic label="预览重构更改" href="tasks/tasks-84.htm"></topic>
		</topic>
		<topic label="复制和移动 Java 元素" href="tasks/tasks-85.htm"></topic>
		<topic label="抽取方法" href="tasks/tasks-87.htm">
			<topic label="参数页面" href="tasks/tasks-88.htm"></topic>
			<topic label="问题页面" href="tasks/tasks-89.htm"></topic>
		</topic>
		<topic label="重命名包" href="tasks/tasks-90.htm">
			<topic label="参数页面" href="tasks/tasks-91.htm"></topic>
		</topic>
		<topic label="重命名编译单元" href="tasks/tasks-92.htm">
			<topic label="参数页面" href="tasks/tasks-93.htm"></topic>
		</topic>
		<topic label="重命名类型" href="tasks/tasks-94.htm">
			<topic label="参数页面" href="tasks/tasks-95.htm"></topic>
		</topic>
		<topic label="重命名方法" href="tasks/tasks-96.htm">
			<topic label="参数页面" href="tasks/tasks-97.htm"></topic>
		</topic>
		<topic label="重命名字段" href="tasks/tasks-169.htm">
			<topic label="参数页面" href="tasks/tasks-170.htm"></topic>
		</topic>
		<topic label="重命名局部变量" href="tasks/tasks-204.htm">
			<topic label="参数页面" href="tasks/tasks-205.htm"></topic>
		</topic>
		<topic label="重命名方法参数" href="tasks/tasks-98.htm">
			<topic label="参数页面" href="tasks/tasks-99.htm"></topic>
		</topic>
		<topic label="更改方法特征符" href="tasks/tasks-157.htm">
			<topic label="参数页面" href="tasks/tasks-158.htm"></topic>
		</topic>
		<topic label="抽取局部变量" href="tasks/tasks-159.htm">
			<topic label="参数页面" href="tasks/tasks-160.htm"></topic>
		</topic>
		<topic label="抽取常量" href="tasks/tasks-209.htm">
		</topic>
		<topic label="直接插入局部变量" href="tasks/tasks-161.htm">
		</topic>
		<topic label="直接插入方法" href="tasks/tasks-208.htm">
		</topic>
		<topic label="直接插入常量" href="tasks/tasks-207.htm">
		</topic>
		<topic label="自包括字段" href="tasks/tasks-162.htm">
			<topic label="参数页面" href="tasks/tasks-163.htm"></topic>
		</topic>
		<topic label="用查询替换局部变量" href="tasks/tasks-164.htm">
		</topic>
		<topic label="将成员上拉至超类" href="tasks/tasks-165.htm">
			<topic label="参数页面" href="tasks/tasks-166.htm"></topic>
		</topic>
		<topic label="将成员下推至子类" href="tasks/tasks-220.htm">
		</topic>
		<topic label="在各个类型之间移动静态成员" href="tasks/tasks-167.htm">
			<topic label="参数页面" href="tasks/tasks-168.htm"></topic>
		</topic>
		<topic label="将实例方法移至组件" href="tasks/tasks-210.htm">
		</topic>
		<topic label="将局部变量转换为字段" href="tasks/tasks-211.htm">
		</topic>
		<topic label="将匿名内部类转换为嵌套类" href="tasks/tasks-216.htm">
		</topic>
		<topic label="将嵌套类型转换为顶级类型
    " href="tasks/tasks-217.htm">
		</topic>
		<topic label="从类型中抽取接口" href="tasks/tasks-218.htm">
		</topic>
		<topic label="将对一种类型的引用替换为对该类型的其中一种超类型的引用" href="tasks/tasks-219.htm">
		</topic>
		<topic label="将单一引用替换为引用了它的其中一个超类型的类型" href="tasks/tasks-223.htm">
		</topic>
		<topic label="将表达式替换为方法参数" href="tasks/tasks-224.htm">
		</topic>
		<topic label="将构造函数调用替换为工厂方法调用" href="tasks/tasks-225.htm">
		</topic>
		<topic label="推断通用类型引用的类型参数" href="tasks/tasks-226.htm">
		</topic>
		
		<topic label="撤销重构操作"  href="tasks/tasks-100.htm"></topic>
		<topic label="重做重构操作" href="tasks/tasks-101.htm"></topic>
	</topic>
	<anchor id="t_refactoringjdt" />

	<topic label="搜索" >
		<topic label="使用“搜索”对话框执行 Java 搜索" href="tasks/tasks-103.htm"></topic>
		<topic label="使用弹出菜单执行 Java 搜索" href="tasks/tasks-104.htm"></topic>
	</topic>
	<anchor id="t_searchingjdt" />

	<topic label="构建" >
		<topic label="构建 Java 程序" href="tasks/tasks-106.htm">
			<topic label="查看编译错误和警告" href="tasks/tasks-107.htm"></topic>
			<topic label="自动构建" href="tasks/tasks-108.htm"></topic>
			<topic label="手工构建" href="tasks/tasks-109.htm"></topic>
			<topic label="构建循环项目" href="tasks/tasks-109a.htm"></topic>
			<topic label="构建而不清除输出位置" href="tasks/tasks-109b.htm"></topic>
		</topic>
		<topic label="使用构建路径" href="tasks/tasks-110.htm">
			<topic label="查看和编辑项目的构建路径" href="tasks/tasks-111.htm"></topic>
			<topic label="将库文件夹添加至构建路径" href="tasks/tasks-112.htm"></topic>
			<topic label="将 JAR 文件添加至构建路径" href="tasks/tasks-113.htm"></topic>
			<topic label="将类路径变量添加至构建路径" href="tasks/tasks-114.htm"></topic>
			<topic label="将源代码连接至 JAR 文件" href="tasks/tasks-115.htm"></topic>
			<topic label="将源代码连接至库文件夹" href="tasks/tasks-115a.htm"></topic>
			<topic label="将源代码连接至类路径变量" href="tasks/tasks-116.htm"></topic>
			<topic label="定义类路径变量" href="tasks/tasks-117.htm"></topic>
			<topic label="删除类路径变量" href="tasks/tasks-118.htm"></topic>
		</topic>
		<topic label="使用 JRE" href="tasks/tasks-JREs.htm">
			<topic label="指定工作台的缺省 JRE" href="tasks/tasks-120.htm"></topic>
			<topic label="添加新的 JRE 定义" href="tasks/tasks-121.htm"></topic>
			<topic label="覆盖 JRE 定义的缺省系统库" href="tasks/tasks-122.htm"></topic>
			<topic label="编辑 JRE 定义" href="tasks/tasks-123.htm"></topic>
			<topic label="选择用于启动项目的 JRE" href="tasks/tasks-124.htm"></topic>
			<topic label="删除 JRE 定义" href="tasks/tasks-deleteJRE.htm">	</topic>
		</topic>
	</topic>
	<anchor id="t_buildingjdt" />

	<topic label="运行和调试" href="tasks/tasks-126.htm">
		<topic label="启动 Java 程序" href="tasks/tasks-130.htm"></topic>
		<topic label="启动 Java applet" href="tasks/tasks-130a.htm"></topic>
		<topic label="创建 Java 应用程序启动配置" href="tasks/tasks-java-local-configuration.htm"></topic>
		<topic label="设置执行自变量" href="tasks/tasks-executionArgs.htm"></topic>
		<topic label="重新启动程序" href="tasks/tasks-131.htm"></topic>
		<topic label="本地调试" href="concepts/clocdbug.htm">
			<topic label="准备调试" href="tasks/tasks-133.htm"></topic>
			<topic label="以调试方式启动 Java 程序" href="tasks/tasks-debug-launch.htm"></topic>
			<topic label="暂挂线程" href="tasks/tasks-134.htm"></topic>
			<topic label="继续执行暂挂的线程" href="tasks/tasks-135.htm"></topic>
			<topic label="单步执行程序" href="tasks/tasks-136.htm"></topic>
			<topic label="检查值" href="tasks/tasks-137.htm"></topic>
			<topic label="对表达式求值" href="tasks/tasks-138.htm"></topic>
		</topic>
		<topic label="远程调试" href="concepts/cremdbug.htm">
			<topic label="使用远程 Java 应用程序启动配置" href="tasks/tasks-141.htm"></topic>
			<topic label="与 VM 断开连接" href="tasks/tasks-142.htm"></topic>
		</topic>
		<topic label="断点" href="concepts/cbrkpnts.htm">
			<topic label="添加断点" href="tasks/tasks-144.htm"></topic>
			<topic label="除去断点" href="tasks/tasks-144a.htm"></topic>
			<topic label="启用和禁用断点" href="tasks/tasks-144b.htm"></topic>
			<topic label="设置方法断点" href="tasks/tasks-145.htm"></topic>
			<topic label="应用命中计数" href="tasks/tasks-146.htm"></topic>
			<topic label="管理条件断点" href="tasks/tasks-144c.htm"></topic>
			<topic label="捕获 Java 异常" href="tasks/tasks-147.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_runningdebuggingjdt" />
	<topic label="使用代码片段编辑测试窗" href="concepts/concepts-11.htm">
		<topic label="创建 Java 代码片段编辑测试窗页面" href="tasks/tasks-149.htm"></topic>
		<topic label="检查对表达式求值的结果" href="tasks/tasks-150.htm"></topic>
		<topic label="显示对表达式求值的结果" href="tasks/tasks-151.htm"></topic>
		<topic label="运行表达式" href="tasks/tasks-152.htm"></topic>
		<topic label="使用代码辅助" href="tasks/tasks-153.htm"></topic>
		<topic label="代码片段编辑测试窗错误报告" href="tasks/tasks-154.htm">
			<topic label="查看编译错误" href="tasks/tasks-155.htm"></topic>
			<topic label="查看运行时异常" href="tasks/tasks-156.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_scrapbook" />
</toc>
